package com.heyu.api.data.entity.operation;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*一些触发事件配置：关键字配置：天气，新闻事件，节日
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("operatin_event_config")
public class OperatinEventConfigEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.operation.OperatinEventConfigEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                       // 
    public final static String is_delete = CLASS_NAME + "is_delete";                          // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                      // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                      // 修改时间
    public final static String type_ = CLASS_NAME + "type";                                   // 事件类型类型：1：节日 2：天气 15 新闻事件
    public final static String key_ = CLASS_NAME + "key";                                     // 关键字，多个用英文逗号隔开
    public final static String ur_ = CLASS_NAME + "ur";                                       // 订阅地址
    public final static String third_config_info_id = CLASS_NAME + "third_config_info_id";    // 第三方订阅配置相关信息id
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //事件类型类型：1：节日 2：天气 15 新闻事件
    private Integer type;
    //关键字，多个用英文逗号隔开
    private String key;
    //订阅地址
    private String ur;
    //第三方订阅配置相关信息id
    private Long thirdConfigInfoId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 事件类型类型：1：节日 2：天气 15 新闻事件 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 事件类型类型：1：节日 2：天气 15 新闻事件 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 关键字，多个用英文逗号隔开 
     * @return
     */
    public String getKey() {
        return key;
    }
    /**
     * 关键字，多个用英文逗号隔开 
     * @param key
     */
    public void setKey(String key) {
        this.key = key;
    }

    /**
     * 订阅地址 
     * @return
     */
    public String getUr() {
        return ur;
    }
    /**
     * 订阅地址 
     * @param ur
     */
    public void setUr(String ur) {
        this.ur = ur;
    }

    /**
     * 第三方订阅配置相关信息id 
     * @return
     */
    public Long getThirdConfigInfoId() {
        return thirdConfigInfoId;
    }
    /**
     * 第三方订阅配置相关信息id 
     * @param thirdConfigInfoId
     */
    public void setThirdConfigInfoId(Long thirdConfigInfoId) {
        this.thirdConfigInfoId = thirdConfigInfoId;
    }

    @Override
    public String toString() {
        return "OperatinEventConfigEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",type=" + type +
                ",key=" + key +
                ",ur=" + ur +
                ",thirdConfigInfoId=" + thirdConfigInfoId +
                "}";
    }
}